"use strict";

var _react = require("@testing-library/react");
var _react2 = _interopRequireDefault(require("react"));
var _textAreaField = require("../text-area-field.js");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
describe('<TextArea>', () => {
  it('should call the onKeyDown callback when provided', () => {
    const onKeyDown = jest.fn();
    (0, _react.render)(/*#__PURE__*/_react2.default.createElement(_textAreaField.TextAreaField, {
      name: "foo",
      value: "bar",
      onKeyDown: onKeyDown
    }));
    _react.fireEvent.keyDown(_react.screen.getByRole('textbox'), {});
    expect(onKeyDown).toHaveBeenCalledWith({
      name: 'foo',
      value: 'bar'
    }, expect.objectContaining({}));
    expect(onKeyDown).toHaveBeenCalledTimes(1);
  });
});